Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.util.signature
Class Signature

    java.lang.Object
      kieker.common.util.signature.Signature

    public class Signature

extends Object

A signature for a software operation. Note that this is just an operation signature declaration which is not bound to an implementing class or interface.

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static String` | `CONSTRUCTOR_METHOD_NAME`
`static String` | `NO_RETURN_TYPE` This constant can be used to mark that a signature has no return type.

Constructor Summary
`Signature(String name, String[] modifierList, String returnType, String[] paramTypeList)` Please use the constant `NO_RETURN_TYPE` to indicate that the Signature contains no return type.

Method Summary
`boolean` | `equals(Object obj)`
`String[]` | `getModifier()`
`String` | `getName()`
`String[]` | `getParamTypeList()`
`String` | `getReturnType()`
`int` | `hashCode()`
`boolean` | `hasReturnType()` Tells whether the current signature has a return type or not.
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_RETURN_TYPE

    public static final String NO_RETURN_TYPE

  This constant can be used to mark that a signature has no return type.

  See Also:
    Constant Field Values

### CONSTRUCTOR_METHOD_NAME

    public static final String CONSTRUCTOR_METHOD_NAME

See Also:
  Constant Field Values

Constructor Detail

### Signature

    public Signature(String name,
                     String[] modifierList,
                     String returnType,
                     String[] paramTypeList)

  Please use the constant `NO_RETURN_TYPE` to indicate that the Signature contains no return type.

  Parameters:
    `name` - The name of the operation.
    `modifierList` - The list of modifiers of the operation.
    `returnType` - The return type of the operation. If this parameter is null, the return type will be set to `NO_RETURN_TYPE`
    `paramTypeList` - The list of parameters of the operation.s

Method Detail

### getName

    public final String getName()

### getModifier

    public final String[] getModifier()

### getParamTypeList

    public final String[] getParamTypeList()

### getReturnType

    public final String getReturnType()

### hasReturnType

    public final boolean hasReturnType()

  Tells whether the current signature has a return type or not.

  Returns:
    true if and only if the signature has a return type.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net